{ sources ? import ./sources.nix, rust ? import ./rust.nix { }
, pkgs ? import sources.nixpkgs { } }:

with pkgs;

rustPlatform.buildRustPackage rec {
  pname = "bootimage";
  version = "0.7.9";

  inherit rust;

  src = fetchFromGitHub {
    owner = "rust-osdev";
    repo = pname;
    rev = "v${version}";
    sha256 = "03pqia1gi2i1dacnxmc2ryspdim2a8dinhipagnbb402q58qbvw9";
  };

  cargoSha256 = "0h3yzds12q1vz66qi8hrkki8g5sm1d4k2mz9yg7ql8z59yma2r23";
}

